Index: branches/UKMO/dev_r5785_SSS_obsoper/NEMOGCM/NEMO/OPA_SRC/OBS/obs_pco2.F90
===================================================================
--- branches/UKMO/dev_r5785_SSS_obsoper/NEMOGCM/NEMO/OPA_SRC/OBS/obs_pco2.F90	(revision 7773)
+++ branches/UKMO/dev_r5785_SSS_obsoper/NEMOGCM/NEMO/OPA_SRC/OBS/obs_pco2.F90	(revision 7773)
@@ -0,0 +1,35 @@
+MODULE obs_pco2
+   !!=====================================================================
+   !!                       ***  MODULE  obs_pco2  ***
+   !! Observation diagnostics: Storage space for pco2 observations
+   !!                          arrays and additional flags etc.
+   !!=====================================================================
+   !!----------------------------------------------------------------------
+   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! $Id$
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
+
+   
+   !! * Modules used 
+   USE obs_surf_def ! Definition of surface data types and tools
+
+   IMPLICIT NONE
+   
+   SAVE
+
+   !! * Routine accessibility
+   PRIVATE
+
+   PUBLIC npco2vars, npco2extr, npco2sets, pco2data, pco2datqc
+
+   !! * Shared Module variables
+   INTEGER :: npco2vars                               ! Number of pco2data variables
+   INTEGER :: npco2extr                               ! Number of pco2data extra 
+                                                      ! variables
+   INTEGER :: npco2sets                               ! Number of pco2data sets
+   TYPE(obs_surf), POINTER, DIMENSION(:) :: pco2data  ! Initial pco2 data
+   TYPE(obs_surf), POINTER, DIMENSION(:) :: pco2datqc ! Sea ice data after quality control
+
+END MODULE obs_pco2
+
Index: branches/UKMO/dev_r5785_SSS_obsoper/NEMOGCM/NEMO/OPA_SRC/OBS/obs_pco2_io.F90
===================================================================
--- branches/UKMO/dev_r5785_SSS_obsoper/NEMOGCM/NEMO/OPA_SRC/OBS/obs_pco2_io.F90	(revision 7773)
+++ branches/UKMO/dev_r5785_SSS_obsoper/NEMOGCM/NEMO/OPA_SRC/OBS/obs_pco2_io.F90	(revision 7773)
@@ -0,0 +1,30 @@
+MODULE obs_pco2_io
+   !!======================================================================
+   !!                       ***  MODULE obs_pco2_io  ***
+   !! Observation operators : I/O for pco2 files
+   !!======================================================================
+   !! History : 
+   !!             !  09-01  (K. Mogensen) Initial version
+   !!----------------------------------------------------------------------
+   !!----------------------------------------------------------------------
+   !!   read_pco2file    :  Read a obfbdata structure from a pco2 file
+   !!----------------------------------------------------------------------
+   USE par_kind
+   USE obs_utils
+   USE obs_fbm
+   USE julian
+   USE netcdf
+
+   IMPLICIT NONE
+
+   !!----------------------------------------------------------------------
+   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! $Id$
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
+
+CONTAINS
+
+#include "obspco2_io.h90"
+
+END MODULE obs_pco2_io
Index: branches/UKMO/dev_r5785_SSS_obsoper/NEMOGCM/NEMO/OPA_SRC/OBS/obs_prep.F90
===================================================================
--- branches/UKMO/dev_r5785_SSS_obsoper/NEMOGCM/NEMO/OPA_SRC/OBS/obs_prep.F90	(revision 7740)
+++ branches/UKMO/dev_r5785_SSS_obsoper/NEMOGCM/NEMO/OPA_SRC/OBS/obs_prep.F90	(revision 7773)
@@ -24,4 +24,8 @@
    USE obs_inter_sup      ! Interpolation support
    USE obs_oper           ! Observation operators
+#if defined key_bdy
+   USE bdy_oce, ONLY : &        ! Boundary information
+      idx_bdy, nb_bdy
+#endif
    USE lib_mpp, ONLY : &
       & ctl_warn, ctl_stop
@@ -45,5 +49,5 @@
 CONTAINS
 
-   SUBROUTINE obs_pre_surf( surfdata, surfdataqc, ld_nea )
+   SUBROUTINE obs_pre_surf( surfdata, surfdataqc, ld_nea, ld_bound_reject )
       !!----------------------------------------------------------------------
       !!                    ***  ROUTINE obs_pre_sla  ***
@@ -72,6 +76,7 @@
       !! * Arguments
       TYPE(obs_surf), INTENT(INOUT) :: surfdata    ! Full set of surface data
-      TYPE(obs_surf), INTENT(INOUT) :: surfdataqc   ! Subset of surface data not failing screening
-      LOGICAL, INTENT(IN) :: ld_nea         ! Switch for rejecting observation near land
+      TYPE(obs_surf), INTENT(INOUT) :: surfdataqc  ! Subset of surface data not failing screening
+      LOGICAL, INTENT(IN) :: ld_nea                ! Switch for rejecting observation near land
+      LOGICAL, INTENT(IN) :: ld_bound_reject       ! Switch for rejecting obs near the boundary
       !! * Local declarations
       INTEGER :: iyea0        ! Initial date
@@ -87,4 +92,5 @@
       INTEGER :: inlasobs     !  - close to land
       INTEGER :: igrdobs      !  - fail the grid search
+      INTEGER :: ibdysobs     !  - close to open boundary
                               ! Global counters for observations that
       INTEGER :: iotdobsmpp     !  - outside time domain
@@ -93,4 +99,5 @@
       INTEGER :: inlasobsmpp    !  - close to land
       INTEGER :: igrdobsmpp     !  - fail the grid search
+      INTEGER :: ibdysobsmpp  !  - close to open boundary
       LOGICAL, DIMENSION(:), ALLOCATABLE :: & 
          & llvalid            ! SLA data selection
@@ -118,4 +125,5 @@
       ilansobs = 0
       inlasobs = 0
+      ibdysobs = 0 
 
       ! -----------------------------------------------------------------------
@@ -151,9 +159,11 @@
          &                 tmask(:,:,1), surfdata%nqc,  &
          &                 iosdsobs,     ilansobs,     &
-         &                 inlasobs,     ld_nea        )
+         &                 inlasobs,     ld_nea,       &
+         &                 ibdysobs,     ld_bound_reject        )
 
       CALL obs_mpp_sum_integer( iosdsobs, iosdsobsmpp )
       CALL obs_mpp_sum_integer( ilansobs, ilansobsmpp )
       CALL obs_mpp_sum_integer( inlasobs, inlasobsmpp )
+      CALL obs_mpp_sum_integer( ibdysobs, ibdysobsmpp )
 
       ! -----------------------------------------------------------------------
@@ -201,4 +211,6 @@
                &            inlasobsmpp
          ENDIF
+         WRITE(numout,*) ' Remaining '//surfdataqc%cvars(1)//' data near open boundary (removed) = ', &
+            &            ibdysobsmpp  
          WRITE(numout,*) ' '//surfdataqc%cvars(1)//' data accepted                             = ', &
             &            surfdataqc%nsurfmpp
@@ -236,5 +248,5 @@
       &                     kpi, kpj, kpk, &
       &                     zmask1, pglam1, pgphi1, zmask2, pglam2, pgphi2,  &
-      &                     ld_nea, kdailyavtypes )
+      &                     ld_nea, ld_bound_reject, kdailyavtypes )
 
 !!----------------------------------------------------------------------
@@ -265,4 +277,5 @@
       LOGICAL, INTENT(IN) :: ld_var2
       LOGICAL, INTENT(IN) :: ld_nea               ! Switch for rejecting observation near land
+      LOGICAL, INTENT(IN) :: ld_bound_reject      ! Switch for rejecting observations near the boundary
       INTEGER, INTENT(IN) :: kpi, kpj, kpk        ! Local domain sizes
       INTEGER, DIMENSION(imaxavtypes), OPTIONAL :: &
@@ -292,4 +305,6 @@
       INTEGER :: inlav1obs    !  - close to land (variable 1)
       INTEGER :: inlav2obs    !  - close to land (variable 2)
+      INTEGER :: ibdyv1obs    !  - boundary (variable 1) 
+      INTEGER :: ibdyv2obs    !  - boundary (variable 2)      
       INTEGER :: igrdobs      !  - fail the grid search
       INTEGER :: iuvchku      !  - reject u if v rejected and vice versa
@@ -303,4 +318,6 @@
       INTEGER :: inlav1obsmpp !  - close to land (variable 1)
       INTEGER :: inlav2obsmpp !  - close to land (variable 2)
+      INTEGER :: ibdyv1obsmpp !  - boundary (variable 1) 
+      INTEGER :: ibdyv2obsmpp !  - boundary (variable 2)      
       INTEGER :: igrdobsmpp   !  - fail the grid search
       INTEGER :: iuvchkumpp   !  - reject var1 if var2 rejected and vice versa
@@ -328,6 +345,6 @@
       ! Diagnotics counters for various failures.
 
-      iotdobs  = 0
-      igrdobs  = 0
+      iotdobs   = 0
+      igrdobs   = 0
       iosdv1obs = 0
       iosdv2obs = 0
@@ -336,6 +353,8 @@
       inlav1obs = 0
       inlav2obs = 0
-      iuvchku  = 0
-      iuvchkv = 0
+      ibdyv1obs = 0
+      ibdyv2obs = 0
+      iuvchku   = 0
+      iuvchkv   = 0
 
       ! -----------------------------------------------------------------------
@@ -395,10 +414,12 @@
          &                 gdept_1d,              zmask1,               &
          &                 profdata%nqc,          profdata%var(1)%nvqc, &
-         &                 iosdv1obs,              ilanv1obs,           &
-         &                 inlav1obs,              ld_nea                )
+         &                 iosdv1obs,             ilanv1obs,            &
+         &                 inlav1obs,             ld_nea,               &
+         &                 ibdyv1obs,             ld_bound_reject       )
 
       CALL obs_mpp_sum_integer( iosdv1obs, iosdv1obsmpp )
       CALL obs_mpp_sum_integer( ilanv1obs, ilanv1obsmpp )
       CALL obs_mpp_sum_integer( inlav1obs, inlav1obsmpp )
+      CALL obs_mpp_sum_integer( ibdyv1obs, ibdyv1obsmpp )
 
       ! Variable 2
@@ -414,10 +435,12 @@
          &                 gdept_1d,              zmask2,               &
          &                 profdata%nqc,          profdata%var(2)%nvqc, &
-         &                 iosdv2obs,              ilanv2obs,           &
-         &                 inlav2obs,              ld_nea                )
+         &                 iosdv2obs,             ilanv2obs,            &
+         &                 inlav2obs,             ld_nea,               &
+         &                 ibdyv2obs,             ld_bound_reject       )
 
       CALL obs_mpp_sum_integer( iosdv2obs, iosdv2obsmpp )
       CALL obs_mpp_sum_integer( ilanv2obs, ilanv2obsmpp )
       CALL obs_mpp_sum_integer( inlav2obs, inlav2obsmpp )
+      CALL obs_mpp_sum_integer( ibdyv2obs, ibdyv2obsmpp )
 
       ! -----------------------------------------------------------------------
@@ -489,4 +512,6 @@
                &            iuvchku
          ENDIF
+         WRITE(numout,*) ' Remaining '//prodatqc%cvars(1)//' data near open boundary (removed) = ',&
+               &            ibdyv1obsmpp
          WRITE(numout,*) ' '//prodatqc%cvars(1)//' data accepted                             = ', &
             &            prodatqc%nvprotmpp(1)
@@ -506,4 +531,6 @@
                &            iuvchkv
          ENDIF
+         WRITE(numout,*) ' Remaining '//prodatqc%cvars(2)//' data near open boundary (removed) = ',&
+               &            ibdyv2obsmpp
          WRITE(numout,*) ' '//prodatqc%cvars(2)//' data accepted                             = ', &
             &            prodatqc%nvprotmpp(2)
@@ -875,5 +902,6 @@
       &                       plam,   pphi,    pmask,            &
       &                       kobsqc, kosdobs, klanobs,          &
-      &                       knlaobs,ld_nea                     )
+      &                       knlaobs,ld_nea,                    &
+      &                       kbdyobs,ld_bound_reject            )
       !!----------------------------------------------------------------------
       !!                    ***  ROUTINE obs_coo_spc_2d  ***
@@ -908,11 +936,18 @@
       INTEGER, DIMENSION(kobsno), INTENT(INOUT) :: &
          & kobsqc             ! Observation quality control
-      INTEGER, INTENT(INOUT) :: kosdobs   ! Observations outside space domain
-      INTEGER, INTENT(INOUT) :: klanobs   ! Observations within a model land cell
-      INTEGER, INTENT(INOUT) :: knlaobs   ! Observations near land
-      LOGICAL, INTENT(IN) :: ld_nea       ! Flag observations near land
+      INTEGER, INTENT(INOUT) :: kosdobs          ! Observations outside space domain
+      INTEGER, INTENT(INOUT) :: klanobs          ! Observations within a model land cell
+      INTEGER, INTENT(INOUT) :: knlaobs          ! Observations near land
+      INTEGER, INTENT(INOUT) :: kbdyobs          ! Observations near boundary
+      LOGICAL, INTENT(IN)    :: ld_nea           ! Flag observations near land
+      LOGICAL, INTENT(IN)    :: ld_bound_reject  ! Flag observations near open boundary 
       !! * Local declarations
       REAL(KIND=wp), DIMENSION(2,2,kobsno) :: &
          & zgmsk              ! Grid mask
+#if defined key_bdy 
+      REAL(KIND=wp), DIMENSION(2,2,kobsno) :: &
+         & zbmsk              ! Boundary mask
+      REAL(KIND=wp), DIMENSION(jpi,jpj) :: zbdymask
+#endif 
       REAL(KIND=wp), DIMENSION(2,2,kobsno) :: &
          & zglam, &           ! Model longitude at grid points
@@ -956,4 +991,18 @@
 
       END DO
+
+#if defined key_bdy             
+      ! Create a mask grid points in boundary rim
+      IF (ld_bound_reject) THEN
+         zbdymask(:,:) = 1.0_wp
+         DO ji = 1, nb_bdy
+            DO jj = 1, idx_bdy(ji)%nblen(1)
+               zbdymask(idx_bdy(ji)%nbi(jj,1),idx_bdy(ji)%nbj(jj,1)) = 0.0_wp
+            ENDDO
+         ENDDO
+ 
+         CALL obs_int_comm_2d( 2, 2, kobsno, igrdi, igrdj, zbdymask, zbmsk )       
+      ENDIF
+#endif       
       
       CALL obs_int_comm_2d( 2, 2, kobsno, kpi, kpj, igrdi, igrdj, pmask, zgmsk )
@@ -1000,8 +1049,5 @@
             END DO
          END DO
-  
-         ! For observations on the grid reject them if their are at
-         ! a masked point
-         
+ 
          IF (lgridobs) THEN
             IF (zgmsk(iig,ijg,jobs) == 0.0_wp ) THEN
@@ -1011,11 +1057,33 @@
             ENDIF
          ENDIF
-                      
+
+ 
          ! Flag if the observation falls is close to land
          IF ( MINVAL( zgmsk(1:2,1:2,jobs) ) == 0.0_wp) THEN
-            IF (ld_nea) kobsqc(jobs) = kobsqc(jobs) + 14
             knlaobs = knlaobs + 1
-            CYCLE
-         ENDIF
+            IF (ld_nea) THEN
+               kobsqc(jobs) = kobsqc(jobs) + 14
+               CYCLE
+            ENDIF
+         ENDIF
+
+#if defined key_bdy
+         ! Flag if the observation falls close to the boundary rim
+         IF (ld_bound_reject) THEN
+            IF ( MINVAL( zbmsk(1:2,1:2,jobs) ) == 0.0_wp ) THEN
+               kobsqc(jobs) = kobsqc(jobs) + 15
+               kbdyobs = kbdyobs + 1
+               CYCLE
+            ENDIF
+            ! for observations on the grid...
+            IF (lgridobs) THEN
+               IF (zbmsk(iig,ijg,jobs) == 0.0_wp ) THEN
+                  kobsqc(jobs) = kobsqc(jobs) + 15
+                  kbdyobs = kbdyobs + 1
+                  CYCLE
+               ENDIF
+            ENDIF
+         ENDIF
+#endif 
             
       END DO
@@ -1029,5 +1097,6 @@
       &                       plam,    pphi,    pdep,    pmask, &
       &                       kpobsqc, kobsqc,  kosdobs,        &
-      &                       klanobs, knlaobs, ld_nea          )
+      &                       klanobs, knlaobs, ld_nea,         &
+      &                       kbdyobs, ld_bound_reject          )
       !!----------------------------------------------------------------------
       !!                    ***  ROUTINE obs_coo_spc_3d  ***
@@ -1052,5 +1121,13 @@
       !! * Modules used
       USE dom_oce, ONLY : &       ! Geographical information
-         & gdepw_1d                        
+         & gdepw_1d,      &
+         & gdepw_0,       &                       
+#if defined key_vvl
+         & gdepw_n,       & 
+         & gdept_n,       &
+#endif
+         & ln_zco,        &
+         & ln_zps,        &
+         & lk_vvl                        
 
       !! * Arguments
@@ -1086,8 +1163,17 @@
       INTEGER, INTENT(INOUT) :: klanobs     ! Observations within a model land cell
       INTEGER, INTENT(INOUT) :: knlaobs     ! Observations near land
+      INTEGER, INTENT(INOUT) :: kbdyobs     ! Observations near boundary
       LOGICAL, INTENT(IN) :: ld_nea         ! Flag observations near land
+      LOGICAL, INTENT(IN) :: ld_bound_reject  ! Flag observations near open boundary
       !! * Local declarations
       REAL(KIND=wp), DIMENSION(2,2,kpk,kprofno) :: &
          & zgmsk              ! Grid mask
+#if defined key_bdy 
+      REAL(KIND=wp), DIMENSION(2,2,kprofno) :: &
+         & zbmsk              ! Boundary mask
+      REAL(KIND=wp), DIMENSION(jpi,jpj) :: zbdymask
+#endif 
+      REAL(KIND=wp), DIMENSION(2,2,kpk,kprofno) :: &
+         & zgdepw         
       REAL(KIND=wp), DIMENSION(2,2,kprofno) :: &
          & zglam, &           ! Model longitude at grid points
@@ -1097,4 +1183,5 @@
          & igrdj
       LOGICAL :: lgridobs           ! Is observation on a model grid point.
+      LOGICAL :: ll_next_to_land    ! Is a profile next to land 
       INTEGER :: iig, ijg           ! i,j of observation on model grid point.
       INTEGER :: jobs, jobsp, jk, ji, jj
@@ -1131,4 +1218,18 @@
          
       END DO
+
+#if defined key_bdy 
+      ! Create a mask grid points in boundary rim
+      IF (ld_bound_reject) THEN           
+         zbdymask(:,:) = 1.0_wp
+         DO ji = 1, nb_bdy
+            DO jj = 1, idx_bdy(ji)%nblen(1)
+               zbdymask(idx_bdy(ji)%nbi(jj,1),idx_bdy(ji)%nbj(jj,1)) = 0.0_wp
+            ENDDO
+         ENDDO
+      ENDIF
+ 
+      CALL obs_int_comm_2d( 2, 2, kprofno, igrdi, igrdj, zbdymask, zbmsk )
+#endif 
       
       CALL obs_int_comm_3d( 2, 2, kprofno, kpi, kpj, kpk, igrdi, igrdj, pmask, zgmsk )
@@ -1159,4 +1260,11 @@
          END DO
 
+         ! Check if next to land 
+         IF (  ANY( zgmsk(1:2,1:2,1,jobs) == 0.0_wp ) ) THEN 
+            ll_next_to_land=.TRUE. 
+         ELSE 
+            ll_next_to_land=.FALSE. 
+         ENDIF 
+         
          ! Reject observations
 
@@ -1175,10 +1283,48 @@
             ENDIF
 
-            ! Flag if the observation falls with a model land cell
-            IF ( SUM( zgmsk(1:2,1:2,kobsk(jobsp)-1:kobsk(jobsp),jobs) ) &
-               &  == 0.0_wp ) THEN
-               kobsqc(jobsp) = kobsqc(jobsp) + 12
-               klanobs = klanobs + 1
-               CYCLE
+            ! To check if an observations falls within land there are two cases: 
+            ! 1: z-coordibnates, where the check uses the mask 
+            ! 2: terrain following (eg s-coordinates),  
+            !    where we use the depth of the bottom cell to mask observations 
+             
+            IF( (.NOT. lk_vvl) .AND. ( ln_zps .OR. ln_zco )  ) THEN !(CASE 1) 
+                
+               ! Flag if the observation falls with a model land cell 
+               IF ( SUM( zgmsk(1:2,1:2,kobsk(jobsp)-1:kobsk(jobsp),jobs) ) & 
+                  &  == 0.0_wp ) THEN 
+                  kobsqc(jobsp) = kobsqc(jobsp) + 12 
+                  klanobs = klanobs + 1 
+                  CYCLE 
+               ENDIF 
+             
+               ! Flag if the observation is close to land 
+               IF ( MINVAL( zgmsk(1:2,1:2,kobsk(jobsp)-1:kobsk(jobsp),jobs) ) == & 
+                  &  0.0_wp) THEN 
+                  knlaobs = knlaobs + 1 
+                  IF (ld_nea) THEN   
+                     kobsqc(jobsp) = kobsqc(jobsp) + 14  
+                  ENDIF  
+               ENDIF 
+             
+            ELSE ! Case 2 
+               ! Flag if the observation is deeper than the bathymetry 
+               ! Or if it is within the mask 
+               IF ( ANY( zgdepw(1:2,1:2,kpk,jobs) < pobsdep(jobsp) ) &
+                  &     .OR. & 
+                  &  ( SUM( zgmsk(1:2,1:2,kobsk(jobsp)-1:kobsk(jobsp),jobs) ) &
+                  &  == 0.0_wp) ) THEN
+                  kobsqc(jobsp) = kobsqc(jobsp) + 12 
+                  klanobs = klanobs + 1 
+                  CYCLE 
+               ENDIF 
+                
+               ! Flag if the observation is close to land 
+               IF ( ll_next_to_land ) THEN 
+                  knlaobs = knlaobs + 1 
+                  IF (ld_nea) THEN   
+                     kobsqc(jobsp) = kobsqc(jobsp) + 14  
+                  ENDIF  
+               ENDIF 
+             
             ENDIF
 
@@ -1194,15 +1340,27 @@
             ENDIF
             
-            ! Flag if the observation falls is close to land
-            IF ( MINVAL( zgmsk(1:2,1:2,kobsk(jobsp)-1:kobsk(jobsp),jobs) ) == &
-               &  0.0_wp) THEN
-               IF (ld_nea) kobsqc(jobsp) = kobsqc(jobsp) + 14
-               knlaobs = knlaobs + 1
-            ENDIF
-
             ! Set observation depth equal to that of the first model depth
             IF ( pobsdep(jobsp) <= pdep(1) ) THEN
                pobsdep(jobsp) = pdep(1)  
             ENDIF
+            
+#if defined key_bdy
+            ! Flag if the observation falls close to the boundary rim
+            IF (ld_bound_reject) THEN
+               IF ( MINVAL( zbmsk(1:2,1:2,jobs) ) == 0.0_wp ) THEN
+                  kobsqc(jobsp) = kobsqc(jobsp) + 15
+                  kbdyobs = kbdyobs + 1
+                  CYCLE
+               ENDIF
+               ! for observations on the grid...
+               IF (lgridobs) THEN
+                  IF (zbmsk(iig,ijg,jobs) == 0.0_wp ) THEN
+                     kobsqc(jobsp) = kobsqc(jobsp) + 15
+                     kbdyobs = kbdyobs + 1
+                     CYCLE
+                  ENDIF
+               ENDIF
+            ENDIF
+#endif 
             
          END DO
Index: branches/UKMO/dev_r5785_SSS_obsoper/NEMOGCM/NEMO/OPA_SRC/OBS/obs_prof_io.F90
===================================================================
--- branches/UKMO/dev_r5785_SSS_obsoper/NEMOGCM/NEMO/OPA_SRC/OBS/obs_prof_io.F90	(revision 7773)
+++ branches/UKMO/dev_r5785_SSS_obsoper/NEMOGCM/NEMO/OPA_SRC/OBS/obs_prof_io.F90	(revision 7773)
@@ -0,0 +1,32 @@
+MODULE obs_prof_io
+   !!======================================================================
+   !!                       ***  MODULE obs_prof_io  ***
+   !! Observation operators : I/O for ENACT and Coriolis files
+   !!======================================================================
+   !! History : 
+   !!             !  09-01  (K. Mogensen) Initial version
+   !!----------------------------------------------------------------------
+   !!----------------------------------------------------------------------
+   !!   read_enactfile    :  Read a obfbdata structure from an ENACT file.
+   !!   read_coriofile    :  Read a obfbdata structure from an Coriolis file.
+   !!----------------------------------------------------------------------
+   USE par_kind
+   USE obs_utils
+   USE obs_fbm
+   USE obs_conv
+   USE netcdf
+   IMPLICIT NONE
+
+   INTEGER, PARAMETER :: imaxlev = 10000
+
+   !!----------------------------------------------------------------------
+   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! $Id$
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
+
+CONTAINS
+
+#include "obsprof_io.h90"
+
+END MODULE obs_prof_io
Index: branches/UKMO/dev_r5785_SSS_obsoper/NEMOGCM/NEMO/OPA_SRC/OBS/obs_read_altbias.F90
===================================================================
--- branches/UKMO/dev_r5785_SSS_obsoper/NEMOGCM/NEMO/OPA_SRC/OBS/obs_read_altbias.F90	(revision 7740)
+++ branches/UKMO/dev_r5785_SSS_obsoper/NEMOGCM/NEMO/OPA_SRC/OBS/obs_read_altbias.F90	(revision 7773)
@@ -44,5 +44,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id$
+   !! $Id: obs_read_altbias.F90 5704 2015-08-21 13:00:38Z mattmartin $
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -128,5 +128,5 @@
          ! Get the Alt bias data
          
-         CALL iom_get( numaltbias, jpdom_data, 'altbias', z_altbias(:,:), 1 )
+         CALL iom_get( numaltbias, jpdom_autoglo, 'altbias', z_altbias(:,:), 1 )
          
          ! Close the file
